Kerbal Space Program - Bug #21863

Testing contract generating duplicated contract failure right after accepting the contract
04/11/2019 01:22 PM - MaltYebisu

Status: Need More Info Start date: 04/11/2019

Severity: Low % Done: 0%
Assignee:
Category: Contracts

Target version:
Version: 1.7.0 Language: English (US)
Platform: Linux, OSX, Windows Mod Related: No

Expansion: Core Game

Description
I'm running KSP on macOS 10.14.4

When playing a new career mode game in a fresh install of 1.7.0, a contract failed right after | accepted it. | am not sure if it failed
immediately or after a few seconds, because | first noticed it after entering the VAB.

| don't know if this was because the contract had a short deadline or something else.

The contract was for testing the RT-10 "Hammer" Solid Fuel Booster at the Launch Site.
The contract failed message says "Test No situation report available”

Attached are the player.log and a zip with the save game folder.

Not every mission has to be a groundbreaking achievement, does it?
Briefing:

( * While cleaning up after an unintended ignition, one of the overworked teams at Research &
@ aunch our first vessel! Development Department raised an Interesting question. The manual clearly states that the RT-10
"Hammer" Solid Fuel Booster is the best in its class. To avoid legal complications, we're going to
= need proof to Justify our claims. It would really help us out if you're able to run a test.
( Test RT-10 *Hammer" Solid
Fuel Booster at the Launch Site. We want you to test the RT-10 "Hammer" Solid Fuel Booster at the Launch Site.

Prestige: Trivial
Object
To perform the test, activate the part through the staging sequence when al test conditions are met.
Test RT-10 "Hammer" Solid Fuel Booster: Incomplete

Kerbin: Incomplete
Launch Site: Incomplete

Completion: | 4500 1 +1
3600 + -2

*
Contract Failed

Test No situation report avallable.
We have failed our contract for Research &

Development Department: Test No situation
report avallable.

Messages

History

#1 - 06/06/2019 03:53 AM - Nebbie

- File screenshot1643.png added

- File screenshot1644.png added

- File screenshot1645.png added

- File screenshot1646.png added

- Status changed from New to Confirmed
- % Done changed from 0 to 10

- Platform Linux added

- Expansion deleted (Making History)

I've gotten this as well, it seems like sometimes test contracts generate failures immediately, but are still completable. Both contracts showing failures
show identical successes, and | know | only accepted 1 of each. | remember noticing the failure messages on entering the VAB to create the crafts to
complete them.

This is happening with both DLCs installed, although | think it's a problem with the core game, don't see how Making History could cause it.

#2 - 06/06/2019 03:54 AM - Nebbie

- Subject changed from Testing contract failed right after accepting the contract to Testing contract generating duplicated contract failure right after
accepting the contract

#3 - 07/18/2019 07:03 AM - SuDmit
- File Bug_reproduce.zip added

- File screenshot61.png added

- File screenshot62.png added

- File screenshot64.png added

- Platform Windows added

Sorry for possibly bad english, this is not my native language.
| reproduced this bug on Windows 7 x64.
Game version 1.7.3, clean (absolutely no mods) Steam install, no DLC.

Game generates contracts for old variants of reskinned parts (1.7.0 update), hidden from player using parameter category = none and had additional
flag TechHidden = true
After these contracts are accepted, probably when scene changes, game checks for TechHidden flag and fails them.

Reproduce steps:

1) for more comfortable search rename old parts' titles in format [OLD] defaultTitle, e.g. [OLD] RT-10 "Hammer" Solid Fuel Booster //#autoLOC...
2a) start new career and complete default "Launch our first vessel!" contract

2b) or just continue existing career

3) decline new offered contracts until getting one with the [OLD] tag

4) accept contract

make quicksave (not necessary for reproducing, but useful for further checks)

go to VAB, SPH, Tracking Station or just reload quicksave

5
6
7) get contract instantly failed

—_—— =

Special check for TechHidden line:

8) exit game

9) comment out line //TechHidden = true in old parts’ files or set it to the False value
10) start game and load the quicksave created on the 5th step

11) not get contract instantly failed

This contract is still impossible to complete, because of the line category = none, that does not allow part to appear in the Editor. If valid value is set
e.g. category = Engine, contract becomes available to perform. Of course that is not needed, there are revamped parts for playing with.

Summary:

Looks like the game doesn't check parts' value TechHidden during contract generation, so that check can be added. An alternative way is to remove
MODULE[ModuleTestSubject] from old parts to prevent contract generation for them.

#4 - 11/17/2019 04:09 PM - MaltYebisu

| just had the same bug on a clean 1.8.1 install. | wanted to update the version in the bug tracker, but | couldn't figure out how.

#5 - 01/09/2021 05:46 PM - kewyn.ryan@gmail.com

- Category changed from Gameplay to Contracts
One year have passed. We got update 1.11 already, but they didn't fix the issue. I'll try to create a new issue to see if it gets attention again.

#6 - 01/13/2021 12:13 AM - RafaHdz
- Status changed from Confirmed to Need More Info

- % Done changed from 10 to 0

Need more information about this one as we can't get the contracts to fail as you describe:

https://drive.google.com/file/d/1cOtbgwycqTInKP8tjYU2VxV_DseDhB0_/view?usp=sharing

Files

Player.log 838 KB 04/11/2019 MaltYebisu
Savegame.zip 29.5 KB 04/11/2019 MaltYebisu
screenshot0.png 410 KB 04/11/2019 MaltYebisu
screenshot1.png 2 MB 04/11/2019 MaltYebisu
screenshot1643.png 773 KB 06/06/2019 Nebbie
screenshot1644.png 781 KB 06/06/2019 Nebbie
screenshot1645.png 785 KB 06/06/2019 Nebbie
screenshot1646.png 813 KB 06/06/2019 Nebbie
Bug_reproduce.zip 21.5 KB 07/18/2019 SuDmit
screenshot61.png 1.22 MB 07/18/2019 SuDmit
screenshot62.png 3.32 MB 07/18/2019 SuDmit
screenshot64.png 4.11 MB 07/18/2019 SuDmit
